# SolrDisMaxQuery::setPhraseFields

(No version information available, might only be in Git)

SolrDisMaxQuery::setPhraseFields — Définit les champs de phrase et leurs boosts (et slops) en utilisant le paramètre pf2

### Description

public SolrDisMaxQuery::setPhraseFields(string `$fields`): SolrDisMaxQuery

Définit les champs de phrase (pf) et leurs boosts (et slops)

### Liste de paramètres

`fields`

  Les champs, les boosts [, écarts]

### Valeurs de retour

SolrDisMaxQuery

### Exemples

Exemple #1 Exemple de SolrDisMaxQuery::setPhraseFields()

`<?php
$dismaxQuery = new SolrDisMaxQuery("lucene");
$dismaxQuery->setPhraseFields("cat~5.1^2 feature^4.5");
echo $dismaxQuery.PHP_EOL;
?>`

Résultat de l'exemple ci-dessus est similaire à :

    q=lucene&defType=edismax&pf=cat~5.1^2 feature^4.5

### Voir aussi

- SolrDisMaxQuery::addPhraseFields()
- SolrDisMaxQuery::removePhraseField() - Supprime un champ de phrase (paramètre pf)